#pragma once

#include "SDL_render.h"

#ifdef NDEBUG
#define DEBUG 0
#else
#define DEBUG 1
#endif

#if DEBUG
#include <stdbool.h>

bool load_symbols(void);
void close_library(void);

extern void (*update_character)(int window_height);
extern void (*render_character)(SDL_Renderer *renderer);
#else
void update_character(int window_height);
void render_character(SDL_Renderer *renderer);
#endif
